standard=function(x){
return((x-mean(x))/sd(x))
}

phi2psi=function(phi){
b=(phi-ap)/(bp-ap)
psi=log(b/(1-b))
return(psi)
}

psi2phi=function(psi){
b=exp(psi)/(1+exp(psi))
phi=b*(bp-ap)+ap
return(phi)
}


logit=function(x){log(x/(1-x))}
unlogit=function(x){exp(x)/(1+exp(x))}

#this function is used in "run_update.R"
get.Sigb=function(sig2){
  Sigb=matrix(0,nrow=p,ncol=p)
  for(i in 1:M){
    Sigb=Sigb+1/sig2[i]*crossprod(x[((0:(Nt-1))*M+i),])
  }
  Sigb=chol2inv(chol(Sigb)) #solve(Sigb)
  return(Sigb)
}